Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.constraint
Interface Constraints

All Known Subinterfaces:
  LegalConstraints, SecurityConstraints

    @UML(identifier="MD_Constraints",
         specification=ISO_19115)
    public interface Constraints

Restrictions on the access and use of a resource or metadata.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends InternationalString>` | `getUseLimitation()` Limitation affecting the fitness for use of the resource.

Method Detail

### getUseLimitation

    @UML(identifier="useLimitation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getUseLimitation()

  Limitation affecting the fitness for use of the resource. Example, "not to be used for navigation".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.